export declare type UnitsType = {
    [key: string]: number;
};
export declare type UnitItem = {
    unit: string;
    value: number;
};
export declare type CommatizeOptions = {
    /**
     * Length of each divided parts. Default `3`.
     */
    division?: number;
    /**
     * Separator of each divided parts. Default `,`.
     */
    separator?: string;
};
export declare type AbbreviateOptions = {
    /**
     * Specify the precision of decimal part.
     */
    precision?: number;
    /**
     * Specify how to commatize the result.
     */
    commatize?: boolean | CommatizeOptions;
};
export declare class NumberAbbreviate {
    units: UnitItem[];
    constructor(units?: UnitsType);
    abbreviate(num: number, options?: AbbreviateOptions): string;
}
export default function (num: number, options?: AbbreviateOptions): string;
